# Data Annotator

The data annotator utility is used to create, edit, and delete comments on observations and images that are visible in
the AAT UI. It is intended for use by data analysts for giving feedback on the quality and status of either individual
entries or ranges of data in the Archive.

## Usage

```
**********************************
* WELCOME TO THE DATA ANNOTATOR! *
**********************************
usage: data_annotator [-h] (-c | -m | -d) [--project_code PROJECT_CODE] [--date-range DATE_RANGE DATE_RANGE] [--external-name EXTERNAL_NAME] [--configuration CONFIGURATION] [--band BAND] [--comment COMMENT] [--old-comment OLD_COMMENT]
                      [--problem-severity PROBLEM_SEVERITY] [--problem-type PROBLEM_TYPE]

Workspaces data annotator

options:
  -h, --help            show this help message and exit
  -c, --create          Create a comment for one or more datasets. Cannot be used with -d/--delete or -m/--modify.
  -m, --modify          Modify a comment for one or more datasets. Cannot be used with -d/--delete or -c/--create.
  -d, --delete          Delete a comment for one or more datasets. Cannot be used with -c/--create or -m/--modify.

  --project_code PROJECT_CODE
                        A string representing the project code to search by.
  --date-range DATE_RANGE DATE_RANGE
                        Two strings representing beginning and end date to search by.
  --external-name EXTERNAL_NAME
                        A string representing the external name to search by
  --configuration CONFIGURATION
                        A string representing the configuration to search by.
  --band BAND           A string representing the band to search by.

  --comment COMMENT     A string representing the comment to add.
  --old-comment OLD_COMMENT
                        A string representing the old comment to search by. Only used with -m/--modify.
  --problem-severity PROBLEM_SEVERITY
                        An integer between 0-3 with 0 being not a problem, and 1-3 being low, medium and high severity.
  --problem-type PROBLEM_TYPE
                        An integer from 1-10; 1. Comment/Other, 2. Clock Error, 3. Position Error, 4. Model Error, 5. Observing Error, 6. Hardware Error, 7. Session ID, 8. Data Errors, 9. Missing Data, 10. Processing Error.
```

## Examples

* Leaving a comment on a specific idifits file:

`./data_annotator -c --external-name "VLBA_DQ2329_dq2329_BIN0_SRC0_15_230831T142322.idifits" --comment "I am a comment"`

* Modifying an existing comment on a project:

`./data_annotator -m --project_code THIG0007 --old-comment "This is the old comment" --comment "I am the new comment"`
